package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * QueryUseNativeNetworkOswOpenApiVO
 */
@ApiModel(description = "QueryUseNativeNetworkOswOpenApiVO")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class QueryUseNativeNetworkOswOpenApiVo   {
  @JsonProperty("page")
  private Integer page;

  @JsonProperty("pageSize")
  private Integer pageSize;

  @JsonProperty("selectAll")
  private Boolean selectAll;

  @JsonProperty("ids")
  @Valid
  private List<String> ids = null;

  public QueryUseNativeNetworkOswOpenApiVo page(Integer page) {
    this.page = page;
    return this;
  }

  /**
   * Start from 1.
   * @return page
  */
  @ApiModelProperty(required = true, value = "Start from 1.")
  @NotNull


  public Integer getPage() {
    return page;
  }

  public void setPage(Integer page) {
    this.page = page;
  }

  public QueryUseNativeNetworkOswOpenApiVo pageSize(Integer pageSize) {
    this.pageSize = pageSize;
    return this;
  }

  /**
   * It should be within the range of 1–1000.
   * @return pageSize
  */
  @ApiModelProperty(required = true, value = "It should be within the range of 1–1000.")
  @NotNull


  public Integer getPageSize() {
    return pageSize;
  }

  public void setPageSize(Integer pageSize) {
    this.pageSize = pageSize;
  }

  public QueryUseNativeNetworkOswOpenApiVo selectAll(Boolean selectAll) {
    this.selectAll = selectAll;
    return this;
  }

  /**
   * Select all VLAN networks
   * @return selectAll
  */
  @ApiModelProperty(value = "Select all VLAN networks")


  public Boolean getSelectAll() {
    return selectAll;
  }

  public void setSelectAll(Boolean selectAll) {
    this.selectAll = selectAll;
  }

  public QueryUseNativeNetworkOswOpenApiVo ids(List<String> ids) {
    this.ids = ids;
    return this;
  }

  public QueryUseNativeNetworkOswOpenApiVo addIdsItem(String idsItem) {
    if (this.ids == null) {
      this.ids = new ArrayList<>();
    }
    this.ids.add(idsItem);
    return this;
  }

  /**
   * List of VLAN and Interface network IDs. The valid network IDs can be obtained from \"Get LAN network list\". When selectAll is true, it means select all except specified IDs; When selectAll is false, it means select specified IDs.
   * @return ids
  */
  @ApiModelProperty(value = "List of VLAN and Interface network IDs. The valid network IDs can be obtained from \"Get LAN network list\". When selectAll is true, it means select all except specified IDs; When selectAll is false, it means select specified IDs.")


  public List<String> getIds() {
    return ids;
  }

  public void setIds(List<String> ids) {
    this.ids = ids;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    QueryUseNativeNetworkOswOpenApiVo queryUseNativeNetworkOswOpenApiVo = (QueryUseNativeNetworkOswOpenApiVo) o;
    return Objects.equals(this.page, queryUseNativeNetworkOswOpenApiVo.page) &&
        Objects.equals(this.pageSize, queryUseNativeNetworkOswOpenApiVo.pageSize) &&
        Objects.equals(this.selectAll, queryUseNativeNetworkOswOpenApiVo.selectAll) &&
        Objects.equals(this.ids, queryUseNativeNetworkOswOpenApiVo.ids);
  }

  @Override
  public int hashCode() {
    return Objects.hash(page, pageSize, selectAll, ids);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class QueryUseNativeNetworkOswOpenApiVo {\n");
    
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    pageSize: ").append(toIndentedString(pageSize)).append("\n");
    sb.append("    selectAll: ").append(toIndentedString(selectAll)).append("\n");
    sb.append("    ids: ").append(toIndentedString(ids)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

